Skip to main content

Validate the credentials for an FSx system

Validates the credentials for an FSx system, ensuring they are correct for the specified system. Use this to confirm access or troubleshoot authentication issues.

HTTP method and endpoint

POST /fsx/working-environments/validate-credentials

Usage notes

Validates the provided credentials for an existing FSx system.

Request Body

Name Type Required Description

backup

SvmCredentials

False

default

SvmCredentials

False

ip

string

True

weId

string

False

Example request
{
  "backup": {
    "password": "string",
    "userName": "string"
  },
  "default": {
    "password": "string",
    "userName": "string"
  },
  "ip": "string",
  "weId": "string"
}

Error

Status: Default, Default response
Name Type Required Description

clusterInfo

ClusterInfo

False

failureReason

string

False

valid

boolean

True

Example error response
{
  "clusterInfo": {
    "clusterName": "string",
    "clusterUuid": "string"
  },
  "failureReason": "string",
  "valid": false
}

Definitions

See Definitions

SvmCredentials

Name Type Required Description

password

string

False

userName

string

False

ClusterInfo

Name Type Required Description

clusterName

string

False

clusterUuid

string

False